package com.greenorange.promotion.factory;

public class TestFactory {

    public static void main(String[] args) {
        DellFactory dellFactory = new DellFactory();
        LenovoFactory lenovoFactory = new LenovoFactory();

        Computer dellComputer = dellFactory.createComputer();
        Computer lenovoComputer = lenovoFactory.createComputer();
        dellComputer.turnOn();
        lenovoComputer.turnOn();

    }




}
